# coding: utf-8
"""

"""

import base64
from hashlib import md5

def encode_file(filename):
    """Encode a file

    :param filename: file to be encoded
    :return: a tuple: encoded_data, md5 
    """
    
    encoded_data = base64.b64encode(open(filename, 'rb').read())
    emmedic = md5(file(filename).read()).hexdigest()
    return encoded_data, emmedic

def decode_file(encoded_image, output_path=None):
    """Decode a file

    :param encoded_image: string holding a base64 encoded image
    :param output_path: path of file to be written
    :return: the decoded file or write it to output_path
    """
    content = base64.b64decode(encoded_image)
    if output_path:
        f = open(output_path, 'w')
        f.write(content)
        f.close()
    else:
        return content
    
