# coding: utf-8
"""
Settings Fax
=====================

Settings per la ricezione di fax

Settings Codema
---------------

per funzionare correttamente il modulo ha bisogno che siano presenti nei
settings.py o nel modulo fax.settings.py



"""

from django.conf import settings
from django.utils.translation import ugettext_lazy as _
from django.utils.translation import ugettext as ugt

#: Stringa aggiunta davanti al soggetto della mail dei fax ricevuti/inviati
FAX_SUBJECT       = ''
FAX_FROM          = '<fax@example.com>'

#: Se True, la cover viene generata automaticamente
FAX_ENABLE_COVER      = False

FAX_DEFAULT_PERMS = (
            ("list_all_faxes_from_%s"                 , "Can list all faxes from %s"),
            ("list_all_faxes_not_assigned_from_%s"    , "Can list all faxes not assigned from %s"),
            ("delete_all_fax_from_%s"                 , "Can Delete ALL FAX from %s"),
            ("delete_own_fax_from_%s"                 , "Can Delete OWN FAX from %s"),
            ("delete_owngroup_fax_from_%s"            , "Can Delete OWN GROUP FAX from %s"),
            ("download_report_from_%s"                , "Can view reports from %s"),
            ("download_document_from_%s"              , "Can download document from %s"),
            ("send_fax_from_%s"                       , "Can send faxes from %s"),
)

FAX_LOG_FILENAME = "/var/log/jumbo_fax.log"
FAX_VIA_MAIL_TO_ADDRESS = "faxdjango"
FAX_VIA_MAIL_DEFAULT_SUBJECT_FAX = "FAX FROM MAIL"
#FAX_VIA_MAIL_TTY_TO_USE = getattr(settings, 'FAX_VIA_MAIL_TTY_TO_USE', "ttyIAX1")
FAX_VIA_MAIL_NOTIFY_TO_USER = getattr(settings, 'FAX_VIA_MAIL_NOTIFY_TO_USER', True)


FAX_DOCUMENT_ROOT = '/tmp' 


# AGGIUNTI VITTORINO PER MODELS
FAX_STATUS_CODES = (
    (2, ugt('Received')),
    (3, ugt('Queued')),
    (4, ugt('Sent')),
    (5, ugt('Failed')),
    (6, ugt('Multi Queued')),
    (7, ugt('Multi Sent')),
    (8, ugt('To Send')),
    (9, ugt('Accepted by peer')),
)

FAX_PRIORITIES = (
    (127, ugt('Low')),
    (120, ugt('Normal')),
    (100, ugt('High')),
    (50, ugt('Urgent')),
)

FAX_SENT_BY = (
    ("W", ugt('WEB')),
    ("M", ugt('MAIL')),
)

FAX_PATH_DOCUMENTS = 'fax/'

FAX_DEVICE_TYPES = (
    ('hyla', 'Hylafax'),
    ('kpn', 'Kpn Messagenet'),
    ('codema', 'Codema'),
)

FAX_KPN_CONTACT_PERSON = 'dev@thundersystems.it'

FAX_ACCEPTED_CONTENT_TYPES = {
    'kpn': ('application/pdf', 'application/vnd.ms-excel', 'image/gif','application/msword'),
    'codema': ('application/msword', 'application/pdf'),
    'hylafax': ('application/pdf')
}
FAX_ACCEPTED_EXTENSIONS = {
    'kpn': ('pdf', 'xls', 'doc','docx'),
    'codema': ('pdf', 'doc', 'docx', ),
    'hylafax': ('pdf')
}

