import sys
from django.conf import settings

if not settings.configured:
    print "Test will not work for CODEMA Functions untill FAX_CODEMA related settings are correctly present"
    settings.configure(
        DATABASES = {'default' : {'ENGINE' : 'sqlite3'}},
        NOSE_ARGS = ['--failed', '--stop', '--ipdb-failure', '-x'],
        TEST_RUNNER = 'django_nose.NoseTestSuiteRunner',  
        INSTALLED_APPS = [
            'fax',
            'django_nose',
        ],
        FAX_CODEMA_HOST     =  '',   #: The Host POP address .
        FAX_CODEMA_USER     =  '',    #: The Mail Account User where fax are in .
        FAX_CODEMA_PASSWORD =  '', #: The Mail Account Password where fax are in .
    )
 
from django.test.simple import run_tests
 
def runtests():
    failures = run_tests(('fax',), verbosity=1, interactive=True)
    sys.exit(failures)
 
if __name__ == '__main__':
    runtests()
